Jump to content
The Uniform Server Community
snusser

Problems with Uniform-server and PhpMyAdmin

Recommended Posts

Hi, I'm new to Php and I find the Uniform-server really easy for tjecking my php-programming.

But when I try to enter PhpMyAdmin from http://local/a/ It gives me the following message:

cannot load mysql extension,

please check PHP Configuration

Documentation

 

And Documentation gives me a bad link.

 

Can somebody help me?

Share this post


Link to post
Share on other sites

Did you delete the MySQL extension in the /usr/local/php/extentions/ folder?

 

Check there to see if it is there..

 

Do you have another instalation of PHP or MySQL on your PC also?

Share this post


Link to post
Share on other sites

and did you click "start mysql server" in the admin panel?

Share this post


Link to post
Share on other sites
Did you delete the MySQL extension in the /usr/local/php/extentions/ folder?

 

Check there to see if it is there..

 

Do you have another instalation of PHP or MySQL on your PC also?

737[/snapback]

 

I should have uninstallet all previous php and mysql programs I had on my computer.

 

Where is the MySQL extension in the /usr/local/php/extentions/ folder located?

Share this post


Link to post
Share on other sites
Did you delete the MySQL extension in the /usr/local/php/extentions/ folder?

 

Check there to see if it is there..

 

Do you have another instalation of PHP or MySQL on your PC also?

737[/snapback]

I found it.

I have 3 files in this folder:

php_gd2.dll

php_mysql.dll

php_sockets.dll

Share this post


Link to post
Share on other sites

Then it should work...

 

Did you make any modifications to phpMyAdmin and are u using the copy that came with the server?

 

Did you make any modifications to the php.ini file also?

Share this post


Link to post
Share on other sites
Then it should work...

 

Did you make any modifications to phpMyAdmin and are u using the copy that came with the server?

 

Did you make any modifications to the php.ini file also?

746[/snapback]

 

No, I installet it and have done nothing else

Share this post


Link to post
Share on other sites

Hmm, when I start the server, the following warnings come:

PHP Startup: gd: Unable to initialize module

Module compiled with module API=20040412, debug=0, thread-safety=1

PHP compiled with module API=20041030, debug=0, thread-safety=1

These options need to match

 

PHP Startup: mysql: Unable to initialize module

Module compiled with module API=20040412, debug=0, thread-safety=1

PHP compiled with module API=20041030, debug=0, thread-safety=1

These options need to match

 

PHP Startup: sockets: Unable to initialize module

Module compiled with module API=20040412, debug=0, thread-safety=1

PHP compiled with module API=20041030, debug=0, thread-safety=1

These options need to match

 

These 3 warnings come 2 times.

Share this post


Link to post
Share on other sites

This should not be happening... It only happens when the wrong version of the extensions are installed or when they are not...

 

Did you by any chance upgrade your PHP by yourself...

 

If not, tell me everything you have done since the installation..

 

Also try and download a fresh copy and test it to see if it will work...

 

Also please make sure you do not have any PHP/MySQL installtions because they also do harm to other installtions like that of Uniform Server...

 

Search for this file: LIBMYSQL.DLL in the C:/windows or C:/windows/System32 folder... If you find it there delete it.

Share this post


Link to post
Share on other sites
This should not be happening... It only happens when the wrong version of the extensions are installed or when they are not...

 

Did you by any chance upgrade your PHP by yourself...

 

If not, tell me everything you have done since the installation..

 

Also try and download a fresh copy and test it to see if it will work...

 

Also please make sure you do not have any PHP/MySQL installtions because they also do harm to other installtions like that of Uniform Server...

 

Search for this file: LIBMYSQL.DLL in the C:/windows or C:/windows/System32 folder... If you find it there delete it.

751[/snapback]

I have found it and deleted it. But it gives me the same error. I've tried to remove the uniform server completely and the download it again, but it gives me the same error.

Share this post


Link to post
Share on other sites
Can you join me in the IRC Channel...

 

If you do not have a client, use the web based version on top.. It says Live IRC

 

Click It....

 

Thanks

754[/snapback]

 

Hmmm, B)

Unable to connect : java.security.AccessControlException : access denied (java.net.SocketPermission irc.freenode.net resolve)

Share this post


Link to post
Share on other sites

Just in case IRC does not work, try this for your server.

 

Search your C:/Program Files for any installtion of PHP, MySQL, or Apache...

 

Search your C:/ for my.cnf or my.ini or any file that has my in front like my-small

 

Also search everywhere on your PC for that LIBMYSQL.DLL file, there are sometimes more than 1 of it....

 

If else, restart and try again...

Share this post


Link to post
Share on other sites
Just in case IRC does not work, try this for your server.

 

Search your C:/Program Files for any installtion of PHP, MySQL, or Apache...

 

Search your C:/ for my.cnf or my.ini or any file that has my in front like my-small

 

Also search everywhere on your PC for that LIBMYSQL.DLL file, there are sometimes more than 1 of it....

 

If else, restart and try again...

757[/snapback]

I've installed mIRC, and has joined the chanel: irc.freenode.net/uniserver

Share this post


Link to post
Share on other sites

I've tried something new today.

 

I've installed it on my old computer (Win98), but here is another problem:

 

When I start the server it gives me:

 

ERROR!!!

One of the instances of Apache server is started. Use stop.bat

Share this post


Link to post
Share on other sites

That is because of the Process32 bug that causes an error in Win98 and NT systems.

 

It is suppose to work with your XP without problems if you have uninstall other WAMP Packages, PHP, MySQL, Apache, IIS and so on.

Share this post


Link to post
Share on other sites

I've reinstalled windowsXP and removed all files that had any php etc. resemblance...

It still gives me the same error

Share this post


Link to post
Share on other sites

A. When you say reinstall windows, do you men reinstall the Windows OS or restart it, u did make that mistake in the IRC the other day...

 

B. Is it still giving out the PHP Extensions error? or another error?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...